Record a fund cash credit
POST
/portfolio/transactions/fund-cash/creditCredits cash into a fund's cash account or cash pot, creating the corresponding transaction record.
Request body
application/json, required · PortfolioFundCashCreditRequest
- One of:
fund_cash,fund_cash_pot
{
"route_type": "fund_cash",
"route_id": "string",
"settlement_date": "2026-06-12T10:00:00+00:00",
"asset_id": 1,
"investor_id": 1,
"amount": 1,
"description": "string"
}Responses
200
201422
Validation error
Examples
curl -X POST https://your-org-domain/kong/core/api/v2/portfolio/transactions/fund-cash/credit\
-H "Authorization: Bearer $HELM_API_KEY"\
-H "Content-Type: application/json"\
-d '{
"route_type": "fund_cash",
"route_id": "string",
"settlement_date": "2026-06-12T10:00:00+00:00",
"asset_id": 1,
"investor_id": 1,
"amount": 1,
"description": "string"
}'